|  | Home · All Classes · Modules

# QAbstractTextDocumentLayout.PaintContext Class Reference
[QtGui module]

The QAbstractTextDocumentLayout.PaintContext class is a convenience class defining the parameters of a painter context. More...

### Methods

- __init__ (self)
- __init__ (self, PaintContext other)

### Members

- QRectF clip
- int cursorPosition
- QPalette palette
- QVector<QAbstractTextDocumentLayout::Selection> selections

## Detailed Description

The QAbstractTextDocumentLayout.PaintContext class is a convenience class defining the parameters of a painter context.

A painter context is used when rendering custom layouts for QTextDocuments with the QAbstractTextDocumentLayout.draw() function, and is specified by a cursor position, a default text color, a clip rectangle and a collection of selections.

See also QAbstractTextDocumentLayout.

## Method Documentation

### PaintContext.__init__ (self)

### PaintContext.__init__ (self, PaintContext other)

## Member Documentation

### QRectF clip

This variable holds a hint to the layout avoiding that paragraphs, frames or text that are clearly outside the specified rectangle, are drawn.

Specifying a clip rectangle can speed up drawing of large documents significantly. Note that the clip rectangle is in document coordinates (i.e., not in viewport coordinates), and that it is not a substitute for a clip region set on the painter.

The default value is a null rectangle.

### int cursorPosition

This variable holds the position within the document, where the cursor line should be drawn.

The default value is -1.

### QPalette palette

This variable holds the default color that is used for the text, when no color is specified in the text.

The default value of this variable uses the application's default palette.

### QAbstractTextDocumentLayout.Selection-list selections

This variable holds the collection of selections that will be rendered when passing this painter context to QAbstractTextDocumentLayout's draw() function.

The default value of this variable is an empty vector.